using System.Security.Claims;

namespace Ablera.Serdica.Authority.Plugins.Base.Contracts;

public interface IClaimStore<TUser>
    where TUser : class
{
    Task<IReadOnlyCollection<Claim>> GetBaseClaimsAsync(TUser user, CancellationToken ct = default);
    Task<IReadOnlyCollection<Claim>?> GetRolesClaimsAsync(TUser user, CancellationToken ct = default);
}
